# 关于音频编解码

对于音频编码，你可以选择自研的音频编码器，可以是软编码器，可以是硬编码器，RTSA Lite SDK 支持传输经过编码后的 AAC, Opus 或 G.722 格式。如果没有自研音频编码的能力，也可以直接传输 PCM 格式，RTSA Lite SDK 会使用内置的 Opus 编码器完成音频编码。事实上，除非你的硬件平台支持 AAC 硬件编码器（一般很少有硬件支持 Opus 或 G.722 硬件编码），我们非常建议你直接传输 PCM 格式，由 RTSA Lite SDK 来负责音频编码。<br>

对于音频解码也是一样的。除非你的硬件平台支持 AAC 硬件解码器（一般很少有硬件支持 Opus 或 G.722 硬件解码），我们非常建议你直接接收 PCM 格式，由 RTSA Lite SDK 来负责音频解码码。<br>

启用 RTSA Lite SDK 内置的 编解码器很容易，只要在加入频道的接口调用 `agora_rtc_join_channel` 的 channel option 参数里把 `audio_codec_type` 选项打开。具体可以参考我们的示例代码（hello_rtsa.c）。

